WindowsOptionPaneUI (JGoodies Looks 2.6 API)
Date: 2014-02-27

com.jgoodies.looks.windows

## Class WindowsOptionPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.OptionPaneUI
    - - javax.swing.plaf.basic.BasicOptionPaneUI
      - - com.jgoodies.looks.windows.WindowsOptionPaneUI

-     public final class WindowsOptionPaneUI
      extends BasicOptionPaneUI

  The JGoodies Windows Look&Feel implementation of `OptionPaneUI`. Honors the screen resolution and uses a minimum button with that complies better with the Windows UI style guide.
  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicOptionPaneUI

      `BasicOptionPaneUI.ButtonActionListener, BasicOptionPaneUI.ButtonAreaLayout, BasicOptionPaneUI.PropertyChangeHandler`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicOptionPaneUI

      `hasCustomComponents, initialFocusComponent, inputComponent, MinimumHeight, minimumSize, MinimumWidth, optionPane, propertyChangeListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsOptionPaneUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Container` | `createButtonArea()` Creates and returns a Container containin the buttons.
    `static ComponentUI` | `createUI(JComponent b)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicOptionPaneUI

      `addButtonComponents, addIcon, addMessageComponents, burstStringInto, containsCustomComponents, createButtonActionListener, createLayoutManager, createMessageArea, createPropertyChangeListener, createSeparator, getButtons, getIcon, getIconForType, getInitialValueIndex, getMaxCharactersPerLineCount, getMessage, getMinimumOptionPaneSize, getPreferredSize, getSizeButtonsToSameWidth, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, resetInputValue, selectInitialValue, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, paint, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsOptionPaneUI

          public WindowsOptionPaneUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

    - #### createButtonArea

          protected Container createButtonArea()

      Creates and returns a Container containin the buttons. The buttons are created by calling `getButtons`.
      Overrides:
        `createButtonArea` in class `BasicOptionPaneUI`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.